Subject: RE: [nemo] Multiple Egress vs multihoming

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 24 Apr 2003 10:24:51 +0100

> Okay.  Let's consider non-mobile case.
> 
> Suppose you have a subnet that has two routers, R1 and R2. 
> Somehow their egress links are all connected (directly or 
> indirectly) to a border router, or gateway, RG.  Static 
> routes are used.  If R2 is down, how would RG respond?
> 
> Now change R1=MR1, R2=MR2, RG=HA. Is there any differences?  
> If not, NEMO is not introducing any new problems that does 
> not occur in non-NEMO case.  So having requirement R13.1 does 
> not dictates the basic solution to solve a problem that is 
> already in existence in non-mobile case.  

The difference is that R1 and R2 will always be there, reachable. And I
guess that soon as you have 2 of them, a sensible network designer would
start thinking of a routing protocol. If R1 and R2 become mobile,
there's a chance that one of them is able to bind and not the other.
With static routes, you'll get only half of the packets through, which
is not the desired result.
> 
> 
> > > In addition, I don't understand why DHAAD would require
> > > co-ordination of both MRs, unless you are saying the two MR 
> > > must discover the same HA. 
> > > Question then is why?
> > > 
> > That's if they register the same home address. This allows 
> to have a 
> > single static route and alleviates the problem mentioned above. But 
> > then, even if we create a support for multiple careofs, you 
> still have 
> > to have them on a single home agent, because of DAD. Unless 
> you create 
> > a new coordication between HAs.
> 
> The catch is why must they share the same home-address.  I am 
> not convince that this is the case.  Perhaps you can convince 
> me on that with the responsd to the wired-scanrio above, 
> based on your expertise in routers operations.
> 
If they have the same home address, there's a single static route, so
all the packets go over that route. The question is the coordination
between the MRs to register to the same HA or the coordination between
the HAs to accept that multiple registration and share the load
accordingly (there are clustering techniques that allow that much).

> > 
> > Anyway, you see that this leads us into complex grounds (much more 
> > then other items we dropped in order to release a quick 
> spec for basic 
> > :) Pendora's box.
> > 
> > Pascal
> -- 
> Chan-Wah Ng <[email-masked]>
> Panasonic Singapore Laboratories

---

From: Chan-Wah Ng <[email-masked]>
Date: 25 Apr 2003 11:37:56 +0800

> is not the desired result.

AH, but you never answered the first part.  For non-mobile case, what
will happen if R2 is down?  Is it any different in a mobile case?

> accordingly (there are clustering techniques that allow that much).

Yes, yes, I agree that if they must have the same HoA, then the HAs
and/or MRs must coordinate.   I have no dispute on that.  What I
disagree is "they must have the same HoA".